import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity("landing_page_cms")
export class LandingPageCms extends CoreEntity {
    @Column({ default: null, nullable: true })
    logo: string;

    @Column({ default: null, nullable: true })
    title: string;

    @Column({ default: null, nullable: true })
    description: string;

    @Column({ default: null, nullable: true })
    questionTitle: string;

    @Column({ default: null, nullable: true })
    buttonOneText: string;

    @Column({ default: null, nullable: true })
    buttonTwoText: string;

    @Column({ default: null, nullable: true })
    image: string;

    @Column({ default: null, nullable: true })
    pickUpPageTitle: string;

    @Column({ default: null, nullable: true })
    deliveryPageTitle: string;

    @Column({ default: null, nullable: true })
    searchBoxText: string;

    @Column({ default: null, nullable: true })
    chooseStoreButtonText: string;
}
