import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity("shipping_address")
export class ShippingAddress extends CoreEntity {
    @Column()
    name: string;

    @Column()
    phone: string;

    @Column()
    email: string;

    @Column()
    city: string;

    @Column()
    postCode: string;

    @Column()
    stateCode: string;

    @Column()
    country: string;

    @Column()
    countryCode: string;

    @Column()
    addressOne: string;

    @Column({ default: null, nullable: true })
    addressTwo: string;

    @Column()
    userId: string;
}
