import { Body, Controller, HttpCode, HttpStatus, Post } from "@nestjs/common";
import { DutchiePlusSpecialsService } from "./dutchie-plus-specials.service";
import { Constants } from "src/utils/constants";

@Controller({
    path: "specials",
    version: Constants.API_VERSION_1
})
export class DutchiePlusSpecialsController {
    constructor(private readonly dutchiePlusSpecialsService: DutchiePlusSpecialsService) {
    }

    @Post("/all")
    @HttpCode(HttpStatus.OK)
    findAll(
      @Body() variables: any
    ) {
        return this.dutchiePlusSpecialsService.findAll(variables);
    }
}
